Permalink
Commits on Apr 18, 2016
  1. ppc64le: fix up autoconf for ruby 1.9.3

    When trying to compile Ruby 1.9.3 for ppc64le using rvm, we get the
    following errors:
    
    ===
    Error running './configure --prefix=/home/builder/.rvm/rubies/ruby-1.9.3-p551 --disable-install-doc --enable-shared',
    showing last 15 lines of /home/builder/.rvm/log/1460701268_ruby-1.9.3-p551/configure.log
    /usr/bin/uname -p =
    /bin/uname -X     =
    
    hostinfo               =
    /bin/universe          =
    /usr/bin/arch -k       =
    /bin/arch              =
    /usr/bin/oslevel       =
    /usr/convex/getsysinfo =
    
    UNAME_MACHINE = ppc64le
    UNAME_RELEASE = 4.5.0-00008-ga6de155
    UNAME_SYSTEM  = Linux
    UNAME_VERSION = #20 SMP Sat Apr 2 22:28:04 AEDT 2016
    configure: error: cannot guess build type; you must specify one
    There has been an error while running configure. Halting the installation.
    ===
    
    Looking at the full log, we can see that this is due to the
    config.sub and config.guess files included with Ruby 1.9.3
    being too old to know about ppc64le as a platform.
    
    To fix this, we grab the latest files from gnu.org, and create a
    patch that brings the included files up to date.
    
    With this patch, all the 1.9.3-p* variations build.
    
    Upgrading these files unconditionally is safe; they're only used
    to detect the build platform. (Distro package build processes, for
    example, tend to upgrade these files automatically.)
    
    Signed-off-by: Daniel Axtens <dja@axtens.net>
    daxtens committed Apr 15, 2016
Commits on Apr 15, 2016
  1. Merge pull request #3664 from MasterRoot24/patch-1

    Amend poor grammar in completion script message
    rys committed Apr 15, 2016
Commits on Apr 4, 2016
  1. Merge pull request #3653 from Niandalu/bugfix/avoid_inifite_loop

    avoid infinite loop
    mpapis committed Apr 4, 2016
Commits on Mar 30, 2016
  1. Merge pull request #3657 from martinisoft/bugfix/fish_shell_osx

    Don't trap with a non-existent command
    mpapis committed Mar 30, 2016
  2. Don't trap with a non-existent command

    This fixes #3655
    martinisoft committed Mar 30, 2016
Commits on Mar 29, 2016
  1. Merge branch 'release/1.27.0'

    mpapis committed Mar 29, 2016
  2. 1.27.0

    mpapis committed Mar 29, 2016
  3. avoid infinite loop

    when the working dir is removed, the $working_dir is going to be "."
    which causes the infinite loop while calling __rvm_project_dir_check below.
    you can reproduce it easily by using tmux.
    Niandalu committed Mar 29, 2016
Commits on Mar 22, 2016
  1. Merge pull request #3649 from rys/master

    Bump jruby version to 9.0.5.0
    rys committed Mar 22, 2016
  2. Bump jruby version to 9.0.5.0

    rys committed Mar 22, 2016
Commits on Mar 21, 2016
  1. Merge pull request #3647 from worldnamer/fix_semicolon_in_prompt_command

    Reorder PROMPT_COMMAND hook to prevent error on Mac OS
    mpapis committed Mar 21, 2016
Commits on Mar 19, 2016
  1. Merge pull request #3642 from remvee/no-ssl-v3

    Patch for absence of SSLv3
    rys committed Mar 19, 2016
  2. Reorder PROMPT_COMMAND hook to prevent error on Mac OS

    On Macs, in the default terminal, PROMPT_COMMAND is set to
    'update_terminal_cwd;' with the included trailing semi-colon. This is legal
    syntax, and currently, the cd script does not handle it gracefully. Reordering
    the hooks fixes the problem.
    worldnamer committed Mar 19, 2016
Commits on Mar 10, 2016
  1. Patch for absence of SSLv3

    OpenSSL no longer supports SSLv3 since 1.0.2g.
    remvee committed Mar 10, 2016
Commits on Feb 26, 2016
  1. Merge pull request #3635 from sikachu/verify-gpg-signature-on-travis

    Verify GPG signature during Travis CI build
    mpapis committed Feb 26, 2016
  2. Add a Travis matrix to verify GPG signature

    This will make sure that we don't merge changes to `rvm-installer`
    without updating the GPG signature.
    sikachu committed Feb 26, 2016
Commits on Feb 25, 2016
  1. Merge pull request #3628 from fanyeren/patch-1

    should deal with ~/.bash_sessions_disable
    mpapis committed Feb 25, 2016
  2. Merge pull request #3536 from knugie/master

    Add float_warnings patchsets for ruby 2.1.[67] and 2.2.[0123]
    mpapis committed Feb 25, 2016
  3. Merge pull request #3569 from Stratus3D/patch-1

    Add asdf version manager to list of alternative version managers
    mpapis committed Feb 25, 2016
Commits on Feb 19, 2016
  1. Update environment

    fanyeren committed Feb 19, 2016
Commits on Feb 18, 2016
  1. should deal with ~/.bash_sessions_disable

    shell_session_update not found when ~/.bash_sessions_disable exists
    fanyeren committed Feb 18, 2016
Commits on Feb 15, 2016
  1. Merge pull request #3627 from tayler1/osx_bash

    Bug with bash sessions on OSX 10.11+
    rys committed Feb 15, 2016
Commits on Feb 11, 2016
Commits on Feb 3, 2016
  1. Merge pull request #3570 from esquireofoz/bugfix/rbx-head_prereqs_gh_…

    …3320
    
    Include llvm-dev package as a pre-req when installing rbx-head
    rys committed Feb 3, 2016
  2. Merge pull request #3587 from stevemadere/master

    Change to automake1.14 since 1.13 is no longer available
    rys committed Feb 3, 2016
  3. Merge pull request #3615 from mtrower/fix-requirements_fallback_lib_i…

    …nstalled-selection
    
    Select an appropriate dependency fallback version for installation
    rys committed Feb 3, 2016
  4. Merge pull request #3619 from rys/master

    Remove requirement to build against OpenSSL 0.9.8 on OS X using Homebrew
    rys committed Feb 3, 2016
  5. Remove requirement to build against a specific OpenSSL (0.9.8) now th…

    …at it's deprecated and not supported by our package manager
    rys committed Feb 3, 2016
Commits on Jan 31, 2016